package nedelja2;

import java.util.Arrays;
import java.util.Random;
import java.util.Scanner;
import javax.swing.JComboBox;


public class LogikaJDN {
    //globalna promenljiva
    public int niz[];

    //metode   
    public LogikaJDN(int brojElemenata) {
        this.niz = new int[brojElemenata];
    }

    public void inicijalizujNiz(){
        Random sb = new Random();
        for(int i=0;i<this.niz.length;i++){
            this.niz[i] = sb.nextInt(100);
        }
    }    
    //metod za prikaz vrednosti preko CB
    
    public void ucitajComboBox(JComboBox jcb){
        for(int c:this.niz){
            jcb.addItem(c);
        }
    }
    
    public void sortirajNiz(){
        Arrays.sort(niz);
    }
    
    
    public static void main(String[] args) {
        System.out.println("Unesite broj elemenata");
        LogikaJDN jdn = new LogikaJDN(new Scanner(System.in).nextInt());
        System.out.println("Generisan je niz od "+jdn.niz.length+" elemenata");
        jdn.inicijalizujNiz();
        System.out.println("prvi el. u nizu je "+jdn.niz[0]);
        
        for(int j:jdn.niz){
            System.out.println(j);
        }
    }
    
    
}
